pgDac install into Lazarus 1.6.4 problem

Discussion of open issues, suggestions and bugs regarding PgDAC (PostgreSQL Data Access Components) for Delphi, C++Builder, Lazarus (and FPC)
Post Reply
basilkrugal
Posts: 1
Joined: Thu 02 Mar 2017 12:17

pgDac install into Lazarus 1.6.4 problem

Post by basilkrugal » Thu 02 Mar 2017 12:26

Hi. When i try to install paDac 4.7.25 into Lazarus 1.6.4 i get the following error:

dac10.pas(10,3) Fatal: Can't find CRAccess, used in dac10, incompatible PPU=C:\project\lcl_1_6\PgDAC\lib\i386-win32\CRAccess.ppu, package dac10.

Can anyone help me?

Thanks

AlexP
Devart Team
Posts: 5530
Joined: Tue 10 Aug 2010 11:35

Re: pgDac install into Lazarus 1.6.4 problem

Post by AlexP » Fri 03 Mar 2017 05:24

Hello,

Currently, the trial version supports Lazarus 1.6.0 and FPC 3.0.0 Lazarus 1.6.4 will be supported in the next version.

tcaduto12068
Posts: 51
Joined: Wed 17 Aug 2016 05:57

Re: pgDac install into Lazarus 1.6.4 problem

Post by tcaduto12068 » Wed 08 Mar 2017 19:08

I just installed 1.6.4 over 1.6.2 and rebuilt the IDE and it compiled pgDAC 4.7.24 without issue.

azyk
Devart Team
Posts: 1021
Joined: Fri 11 Apr 2014 11:47
Location: Alpha Centauri A

Re: pgDac install into Lazarus 1.6.4 problem

Post by azyk » Tue 25 Apr 2017 06:38

PgDAC 5.0.1 Trial with support Lazarus 1.6.4 and Free Pascal 3.0.2 is available for download on our site: https://www.devart.com/pgdac/download.html

Post Reply